Repocop reports by srpm

  rpm id test status message
guile18-1.8.7-alt8.x86_64 altlinux-policy-shared-lib-contains-devel-so info SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libguile-srfi-srfi-1-v-3.so but just /usr/lib64/libguile-srfi-srfi-1-v-3.so.3.0.2. According to SharedLibs Policy Draft, symlink /usr/lib64/libguile-srfi-srfi-1-v-3.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libguile-srfi-srfi-1-v-3.so to \%files of guile18-1.8.7-alt8.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libguile-srfi-srfi-13-14-v-3.so but just /usr/lib64/libguile-srfi-srfi-13-14-v-3.so.3.0.1. According to SharedLibs Policy Draft, symlink /usr/lib64/libguile-srfi-srfi-13-14-v-3.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libguile-srfi-srfi-13-14-v-3.so to \%files of guile18-1.8.7-alt8.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libguile-srfi-srfi-4-v-3.so but just /usr/lib64/libguile-srfi-srfi-4-v-3.so.3.0.1. According to SharedLibs Policy Draft, symlink /usr/lib64/libguile-srfi-srfi-4-v-3.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libguile-srfi-srfi-4-v-3.so to \%files of guile18-1.8.7-alt8.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libguile-srfi-srfi-60-v-2.so but just /usr/lib64/libguile-srfi-srfi-60-v-2.so.2.0.2. According to SharedLibs Policy Draft, symlink /usr/lib64/libguile-srfi-srfi-60-v-2.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libguile-srfi-srfi-60-v-2.so to \%files of guile18-1.8.7-alt8.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libguilereadline-v-17.so but just /usr/lib64/libguilereadline-v-17.so.17.0.3. According to SharedLibs Policy Draft, symlink /usr/lib64/libguilereadline-v-17.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libguilereadline-v-17.so to \%files of guile18-1.8.7-alt8.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
guile18-1.8.7-alt8.x86_64 library-pkgnames info package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs

generated by repocop at Thu Oct 22 04:39:01 2020